LIBJXL

Public Attributes | List of all members
JxlFrameHeader Struct Reference

`#include <codestream_header.h>`

## Public Attributes
uint32_t | duration
uint32_t | timecode
uint32_t | name_length
JXL_BOOL | is_last

## Detailed Description

The header of one displayed frame.

## Member Data Documentation

## ◆ duration

uint32_t JxlFrameHeader::duration

How long to wait after rendering in ticks. The duration in seconds of a tick is given by tps_numerator and tps_denominator in JxlAnimationHeader.

## ◆ is_last

JXL_BOOL JxlFrameHeader::is_last

Indicates this is the last animation frame.

## ◆ name_length

uint32_t JxlFrameHeader::name_length

Length of the frame name in bytes, or 0 if no name. Excludes null termination character.

## ◆ timecode

uint32_t JxlFrameHeader::timecode

SMPTE timecode of the current frame in form 0xHHMMSSFF, or 0. The bits are interpreted from most-significant to least-significant as hour, minute, second, and frame. If timecode is nonzero, it is strictly larger than that of a previous frame with nonzero duration. These values are only available if have_timecodes in JxlAnimationHeader is JXL_TRUE. This value is only used if have_timecodes in JxlAnimationHeader is JXL_TRUE.

The documentation for this struct was generated from the following file:

- /build/libjxl/src/libjxl/lib/include/jxl/codestream_header.h